Retrieve conversation recap data
curl --request GET \
--url https://api.hubapi.com/notetaker/2026-09-beta/conversation/recap/{objectTypeId}/{objectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/notetaker/2026-09-beta/conversation/recap/{objectTypeId}/{objectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/notetaker/2026-09-beta/conversation/recap/{objectTypeId}/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionItems": {
"items": [
{
"title": "<string>",
"assignee": "<string>"
}
],
"errorMessage": "<string>"
},
"summary": {
"errorMessage": "<string>",
"value": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Notetaker
Retrieve conversation recap data
Retrieve a recap of a conversation based on the specified object type and object ID. This endpoint provides a summary and action items related to the conversation, which can be useful for reviewing key points and follow-up tasks.
GET
/
notetaker
/
2026-09-beta
/
conversation
/
recap
/
{objectTypeId}
/
{objectId}
Retrieve conversation recap data
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the object for which the conversation recap is being retrieved. This is a required integer parameter.
The type of the object for which the conversation recap is being retrieved. This is a required string parameter.
Last modified on August 3, 2026
Was this page helpful?
⌘I